Subject: [dhcwg] Proposed Resolution to DNA Issue 20: Most Likely Point of Attachment

From: Bernard Aboba <[email-masked]>
Date: Wed, 21 Jul 2004 13:05:15 -0700 (PDT)

The text of DNA Issue 20: Most Likely Point of Attachment, is enclosed
below.  The proposed resolution is as follows:

Add the following definitions to the terminology
section:

Point of Attachment:

A location within the network, where a host
may be connected. This attachment point
can be characterized by its address prefix
and next hop routing information.

Most Likely Point of Attachment (MLPA):

The point of attachment heuristically
determined by the host to be most likely,
based on hints from the network.

Use the abbreviation "MLPA" throughout the document.

This change is included in the DNA-08 draft:
http://www.ietf.org/internet-drafts/draft-ietf-dhc-dna-ipv4-08.txt

For DNA Issue Status, see:
http://www.drizzle.com/~aboba/DNA/dnaissues.html

---------------------------------------------------------------------
Issue 20: Most Likely Point of Attachment
Submitter name: Ralph Droms
Submitter email address: [email-masked]
Date first submitted: 10/16/2003
Reference:
http://www1.ietf.org/mail-archive/web/dhcwg/current/msg02473.html
Document: DNA-03
Comment type: E
Priority: 1
Section: 1.2
Rationale/Explanation of issue:

The phrase '"most likely" point of attachment' is used throughout the
document but is never defined.  Other, similar phrases are occasionally
used, such as '"most likely" network' in the fourth paragraph of section
2.3.

Requested change: Add a definition for '"most likely" point of
attachment' to the terminology section.  Define an acronym
MLPA for the phrase.  Use the acronym throughout the document.
Note that, as much as I dislike the proliferation of acronyms
in IETF documents, in this case I think an acronym, suitably
defined in the Terminology section, would add clarity.

[Greg Daley]

In DNA BoF, we're obviously interested in having
common terminology across the set of techniques
(v4/v6) to detect network attachment.
There's currently some work in the BoF on
getting terminology worked out.

So that we don't slow anything down in DHC-WG,
maybe we can help contribute to the terms here, and
clone them into DNA.  Does that sound reasonable?

In this case, is it sufficient to define
the most likely point of attachment, or
do we also need to define "point of attachment"?
I myself am clear what a point of attachment is.
Is the meaning unambiguous to others, or
would it simplify the definition of the
MLPA to have a definition of the point of
attachment?

Here are some initial attempts at
both options:
--
Most Likely Point of Attachment (MLPA):

The IP subnet and router combination
the host is most likely to be connected
to the network through.  This is heuristically
determined by the host itself by hints
from the network.
--

Alternatively:
--
Point of Attachment:

A location within the network, where a host
may be connected.  This attachment point
can be characterized by its address prefix
and next hop routing information.

Most Likely Point of Attachment (MLPA):

The point of attachment heuristically
determined by the host to be most likely,
based on hints from the network.

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg